package com.yonge.cooleshow.biz.dal.entity;


public class RecordNotifyConfig {
    //录制启动模式: 1 自动启动录制任务
    Integer trigger;

    //Mix模式下布局：2 悬浮布局(默认) 3 自适应布局
    Integer mixLayout;

    //文件切片时间（分钟）
    Integer slicesMin;

    //设置的音频文件格式
    String audioFormat;

    //设置的视频文件格式
    String videoFormat;

    public Integer getTrigger() {
        return trigger;
    }

    public void setTrigger(Integer trigger) {
        this.trigger = trigger;
    }

    public Integer getMixLayout() {
        return mixLayout;
    }

    public void setMixLayout(Integer mixLayout) {
        this.mixLayout = mixLayout;
    }

    public Integer getSlicesMin() {
        return slicesMin;
    }

    public void setSlicesMin(Integer slicesMin) {
        this.slicesMin = slicesMin;
    }

    public String getAudioFormat() {
        return audioFormat;
    }

    public void setAudioFormat(String audioFormat) {
        this.audioFormat = audioFormat;
    }

    public String getVideoFormat() {
        return videoFormat;
    }

    public void setVideoFormat(String videoFormat) {
        this.videoFormat = videoFormat;
    }
}
